Bug 360901 - Smaller fonts in X in F8T3 after login
Smaller fonts in X in F8T3 after login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-fonts (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 16:03 EDT by Milan Crha
Modified: 2009-01-09 02:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:21:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of font problems in F8 (176.47 KB, image/png)
2007-11-05 22:23 EST, Gary Case
no flags Details

  None (edit)
Description Milan Crha 2007-10-31 16:03:38 EDT
Description of problem:
I noticed smaller fonts in F8T3 gnome with compare to F7. Even I saw some mails
about it on mailing list, then I think this is a bit different. I noticed that
right after login fonts are a bit bigger, for about 2-3 seconds, and then is
something loaded (I guess), which makes fonts significantly smaller. I can still
read it, but they are really smaller than on F7. It's smaller for all the gnome,
not only for menu or some particular parts of window.

Also, I noticed it on a message I described at bug #360851, which is there every
login for me. I can see after login this message with bigger fonts, and I didn't
do anything and they are suddenly smaller, after that 2-3 seconds.

I'm not sure how to describe it better, or how to investigate what causes this,
but if you can guide me, then I will try to help.
Comment 1 Nicolas Mailhot 2007-10-31 16:42:22 EDT
You're probably hitting two things:

1. when you login your desktop is using system defaults, but after a short time
it reads your preferences in gconf, so if you ever customized something
font-related you'll see a transition when GNOME switches the settings from the
values inherited from the system to the values you chose

2. older GNOME versions miscomputed a value used to size fonts (they assumed
everyone had a 96dpi screen, which is not hardware reality). New GNOME versions
(as the one in F8) use an xorg-computed dpi value (like KDE) so depending on
your hardware, font sizes in GNOME are now bigger or smaller than you're used to
(unless your xorg is misconfigured its DPI value is exact)

What probably happened is F7 GNOME mis-sized fonts, you compensated in your user
settings by scaling them down, and now GNOME correctly sizes font your user
settings make them too small. Scratch your old user font settings and things
should return to normal.
Comment 2 Matěj Cepl 2007-10-31 17:35:53 EDT
Milan, did the advice from comment 1 helped?
Comment 3 Milan Crha 2007-11-01 05:55:57 EDT
I'm not sure if I see here any advice, even that explanation makes sense to me.
Nevertheless, my installation was fresh installation, no special settings has
been  taken from previous installation, at least I don't know about any, except
of some particular things from home folder.

When I look at System->Preferences->Look and Feel->Appearance on tab Fonts, then
I see there all with size 10 and chosen Best shape. I'm not sure, if I changed
here something. In details I see resolution 86 DPI. I'm not sure from the ball
2) if I should change this value to 96 to have same fonts, furthermore I am sure
I didn't change it (at least I don't know about it).

I can check if I didn't move that settings accidentally, if you can point me
where to look into my backup home directory. Thanks in advance.
Comment 4 Matěj Cepl 2007-11-01 06:31:01 EDT
OK, thanks for the info. Passing to krh.
Comment 5 Gary Case 2007-11-05 22:17:52 EST
I'm seeing the same problems with tiny fonts a moment after login, plus
additional font issues with seriously screwy kerning in the terminal window.
I'll attach a picture of the kerning issue.
Comment 6 Gary Case 2007-11-05 22:23:34 EST
Created attachment 248781 [details]
Image of font problems in F8

In this image, check out the tiny fonts in Firefox's menus and the messed up
kerning in the terminal window.
Comment 7 Nicolas Mailhot 2007-11-06 01:58:40 EST
(In reply to comment #5)
> I'm seeing the same problems with tiny fonts a moment after login,

This is just GNOME lazy-reading GConf preferences and drawing text before
noticing the user font preferences are not the same as the system font
preferences. You can verify it by creating a new user (that will have every
parameter reset to defaults) and test if the text size switch occurs.

If that is the case you can open a bug @upstream GNOME (gnome-session) to ask it
reads font preferences before drawing text (not after). But that's an old
problem I've also seen in pre-F8 releases.

> plus
> additional font issues with seriously screwy kerning in the terminal window.
> I'll attach a picture of the kerning issue.

Please open separate bugs for separate problems thanks
Comment 8 Gary Case 2007-11-06 10:15:52 EST
I re-did my xorg.conf to a default, then blew away all the .gconf preferences.
It seems to have fixed all my problems. This must have been caused by my second
monitor, which was present at initial setup. The second monitor was being
detected by s-c-d as the primary monitor, so I'm sure the settings were all
screwy once I went single monitor at home (different resolution and size LCD
panels). 
Comment 9 Nicolas Mailhot 2007-11-06 10:34:53 EST
Yep, I forgot to write some of the new randr multihead drivers are very bad at
this stuff, and can cause xorg dpi misconfiguration (to report to the Fedora
xorg maintainers if you manage to define a reproduceable "X is confused about
screen dpi" scenarii)
Comment 10 Gary Case 2007-11-06 11:05:40 EST
Yes, the xrandr multihead drivers are terrible at DPI determination. When I
docked at the office this morning, everything was back to its broken state. I'll
open a new bug against that component for this issue.
Comment 11 Milan Crha 2007-11-09 05:13:55 EST
The above explanation makes sense to me and made it clearer. From my point of
view this can be simply moved upstream, as a request to read user's font setup
as soon as possible to let work application properly. For example, when I have
xchat run at session startup, and it run before the setup is applied, then this
app badly counts link position, together with selection highlighting (it counts
with bigger fonts, but text before selection is smaller one). I can simply do
Settings->Preferences and OK there and everything works just fine. Maybe it's
only  xchat issue, but I noticed it there mostly, apart of that keyboard message.

Thanks again for your explanation and feel free to move upstream.
Comment 12 Bug Zapper 2008-11-26 03:09:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:21:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.